DROP TRIGGER videos_thumbnails_delete;
DROP TRIGGER videos_events_delete;
DROP TRIGGER channels_thumbnails_delete;
DROP TRIGGER channels_events_delete;
DROP TRIGGER channels_delete_videos;
DROP TRIGGER channels_delete_themes;
DROP TRIGGER videos_delete_channels_videos;
DROP TRIGGER channels_videos_delete_videos;
DROP TRIGGER channels_videos_delete_videos_events;
DROP TRIGGER channels_videos_delete_videos_events_after_insert;
DROP TRIGGER videos_delete_history;
DROP TRIGGER channels_delete_history;

DROP TABLE channels;
DROP TABLE videos;
DROP TABLE themes;
DROP TABLE thumbnails;
DROP TABLE tracking_events;
DROP TABLE cue_points;
DROP TABLE renditions;
DROP TABLE channels_videos;
DROP TABLE videos_thumbnails;
DROP TABLE channels_thumbnails;
DROP TABLE channels_trackingEvents;
DROP TABLE videos_trackingEvents;
DROP TABLE themes_logos;
DROP TABLE themes_backgrounds;
DROP TABLE themes_landscapeBackgrounds;
DROP VIEW view_channels;

ALTER TABLE history RENAME TO history_old;

CREATE TABLE history (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    video_id TEXT,
    channel_id TEXT,
    last_watched_ms INTEGER,
    watched_counter INTEGER,
    watched_fully INTEGER,
    modified_date INTEGER,
    UNIQUE (video_id) ON CONFLICT REPLACE);

INSERT INTO history(video_id, channel_id, last_watched_ms, watched_counter, watched_fully, modified_date)
SELECT video_id, channel_id, history_last_watched_ms, history_watched_counter, history_watched_fully, modified_date FROM history_old;

DROP TABLE history_old;
